<?php

namespace ShopManagerPro\Products\Fields\DTO\DefaultTaxonomy;

use ShopManagerPro\Products\Fields\DTO\ProductField;

class DefaultTaxonomyField implements ProductField {
	public function __construct(public readonly string $key, public readonly string $name, public readonly array $terms) {
	}

	public function key(): string {
		return DefaultTaxonomyFieldGroup::KEY.self::FIELD_TYPE_SEPARATOR.$this->key;
	}
}
